lisp to toggle between large and small buttons

Discussion in 'AutoCAD' started by zeke79, Nov 24, 2004.

  1. zeke79

    zeke79 Guest

    I share a computer at work with a person who uses large buttons. every time I get on the computer I have to switch back to small buttons and it is driving me crazy. Is there a system variable to change this that I can use in a lisp routine? I would like to use it to setup a lisp routine that toggles the value between our 2 loginnames. I have searched all over and I cannot find anything that addresses this issue.
     
    zeke79, Nov 24, 2004
    #1
  2. How about this?

    (defun toggleLargeButtons (/ object)
    (setq
    object
    (vla-get-toolbars
    (vla-item
    (vla-get-menugroups
    (vlax-get-acad-object))
    "acad"
    )
    )
    )
    (if (= :vlax-true (vla-get-largebuttons object))
    (vla-put-largebuttons object :vlax-false)
    (vla-put-largebuttons object :vlax-true)
    )
    )

    --
    Autodesk Discussion Group Facilitator



    time I get on the computer I have to switch back to small buttons and it is
    driving me crazy. Is there a system variable to change this that I can use
    in a lisp routine? I would like to use it to setup a lisp routine that
    toggles the value between our 2 loginnames. I have searched all over and I
    cannot find anything that addresses this issue.
     
    Jason Piercey, Nov 24, 2004
    #2
  3. zeke79

    Jim Claypool Guest

    Why not set up separate profiles for each of you. That is what they are for.
     
    Jim Claypool, Nov 25, 2004
    #3
  4. zeke79

    RRIGGS Guest

    you could also setup a profile.
    When you get the settings the way you like them, use the OPTIONS command, click on the profiles tab, and save your user settings. Then have the other person do the same thing.
     
    RRIGGS, Nov 25, 2004
    #4
  5. zeke79

    zeke79 Guest

    Jason,

    Thanks for the help. I will give it a shot monday morning. The reason I didn't setup a different user profile is the company I work for has an "administrative profile" for all users. I could get around this but its not worth getting fired over. Just as easy to code it in lisp and go on my way without stepping over any boundaries.
     
    zeke79, Nov 25, 2004
    #5
  6. Others are suggesting AutoCAD profiles as the way to go, and it is. I
    assume you are referring to Windows profiles. Look in
    AutoCAD->Tools->Options->Profile.
     
    Daniel J. Altamura, R.A., Nov 25, 2004
    #6
  7. zeke79

    Tom Smith Guest

    Daniel's right. You should use an Acad profile to save these kinds of
    preferences. To make it fully automatic, you could use an acad.lsp file
    which would set the appropriate profile current based on the network login
    name.
     
    Tom Smith, Nov 29, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.